import { execSync } from "child_process";
const projectName = process.argv[2];
if (!projectName || projectName == ".") {
  console.log("Please Enter A Project Name");
  process.exit(1);
}
try {
  const githubLink = "https://github.com/AmirPhenomenal/mern-fullstack-login";
  const gitCloneCommand = `git clone ${githubLink} ${projectName}`;

  console.log("Downloading Template");
  execSync(gitCloneCommand, { stdio: "inherit" });
  console.log("Installing Dependencies");
  execSync(`cd ${projectName}/client && npm install`, { stdio: "inherit" });
  execSync(`cd ${projectName}/server && npm install`, { stdio: "inherit" });
  console.log("Everything is ready to go !!!");
  console.log(
    "Use The npm start Commands In server Directory To Start Server . "
  );
  console.log(
    "Use The npm start Commands In client Directory To Start Client . "
  );
} catch (error) {
  console.log("ERROR : ", error);
  process.exit(1);
}
